Skip to main content
POST
/
api
/
v1
/
school
/
report-settings
Create report settings
curl --request POST \
  --url https://api.example.com/api/v1/school/report-settings/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "priority": "<unknown>",
  "is_deleted": true
}
'
{ "created": true, "data": { "id": "uuid-123", "priority": { "o_level_rules": [ { "rule": "Subjects Passed", "priority": 1, "description": "Students with the highest number of A's are ranked first" } ], "a_level_rules": [ { "rule": "Subjects Passed", "priority": 1, "description": "Students with the highest number of A's are ranked first" } ] } } }

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Auto-populate created_by from request.user when available.

priority
any
is_deleted
boolean

Response

{key}
any